
import { Row, Col, Card, Tree, Form, TreeSelect, Input, InputNumber, Modal, Button, message } from 'antd'
// import React, { useEffect, useState, useCallback,useRef } from 'react';
import TreedataFrom from './form';

const { TreeNode,DirectoryTree } = Tree;
const FormItem = Form.Item;

//-----------------------------------
  const onAdd = (key) => {
    if (expandedKeys.indexOf(key) === -1) {
      expandedKeyArr.push(key);
    }
    expandedKeys(expandedKeyArr.slice());
    addNode(key, treeData);//添加节点 树形
    setData(treeData.slice());//添加子项
  };
//-----------------------------------
const confirm = data => {
  // {...data,isPublish}
    if (data.key !== 0) {
      Modal.confirm({
        title: '确认删除吗？',
        okText: '确认',
        cancelText: '取消',
        onOk() {
          message.error('失败');

        },
      });
    }else{
      message.error('error')
    }
}


// function uuid() {
//   var s = [];
//   var hexDigits = "0123456789";
//   for (var i = 0; i < 18; i++) {
//       s[i] = hexDigits.substr(Math.floor(Math.random() * 1*10), 1);
//   }

//   var uuid = s.join("");
//   return uuid;
// }
const treeData = [
  {
    title: '分厂厂长管理',
    key: '0',
    children: [
        { title: '郎岩',phone:'15920583224', cardId:'511502199103223189',sex:1,id:'0212',belon:1,homeaddres:1, key: '0-0-0-1' },
        { title: '柯琼彦',phone:'13184013427', cardId:'210203197503102721', sex:2 ,id:'4242',belon:2,homeaddres:2, key: '0-0-0-2' ,},
    ],
  },
  {
      title: '分厂员工管理',
      key: '0-0-1',
      children: [
        { title: '伏佳', phone:'18613523527', cardId:'520323197806058856',sex:1  ,id:'1124', belon:4,homeaddres:4,key: '0-0-1-0' },
        { title: '舒宏', phone:'14736632088', cardId:'610729197408202551', sex:1 ,id:'4534', belon:3,homeaddres:2,key: '0-0-1-1' },
        { title: '狄莉珍',phone:'17604898508', cardId:'820000195008115837', sex:1 ,id:'4242',belon:1,homeaddres:5,  key: '0-0-1-2' },
      ],
  },
];
// const item = this.info.node.key

class TreeDemo extends React.Component {
  formRef = React.createRef();
  
  
  constructor(props){
    super(props)  
    this.state = {
      expandedKeys: ['0-0-0', '0-0-1'],
      autoExpandParent: false,
      checkedKeys: ['0-0-0'],
      selectedKeys: [],
      treeTitle:[],
      checked:true
      
    };
  }


  onExpand = expandedKeys => {
    console.log('onExpand', expandedKeys);

      // 如果没有将 autoExpandParent 设置为 false，如果子项展开，父项不能折叠。
     // 或者，您可以删除所有扩展的子键。
    this.setState({
      expandedKeys,
      autoExpandParent: false,
    });
  };

  handelSex = e => {
    this.setState({
      sex: e.target.value
    });
    console.log(valeu);
  };




  onSelect=(value,info)=>{
    this.setState({value},()=>{
        this.formRef.current.setFieldsValue({
          ...info.node.props,
        })
    })
  }



// onSelect=(value,info)=>{
//   this.setState({value},()=>{
//     this.$nextTick(()=>{
//       setTimeout(()=>{
//         this.formRef.current.setFieldsValue({
//           ...info.node.props,
//         })
//       })
//     })

//   console.log(this.state.info);

//   })
// }



;

  renderTreeNodes = data =>
    data.map(item => {
      if (item.children) {
        return (
          <TreeNode title={item.title} key={item.key} dataRef={item}  >
            {this.renderTreeNodes(item.children)}
            
          </TreeNode>
        );
      }
      return <TreeNode key={item.key} {...item} />;
    });



  render() {

    return (
     <Card>
      <Row >
        <Col xs={{ span: 5, offset: 1 }} lg={{ span: 6, offset: 0 }}>
          <Card>
              <FormItem
              label="管辖部门"
            >
              <Button type="primary" style={{marginRight:'20px'}} onClick={onAdd} >
                增加
              </Button>
          {/* onDelete={() => onDelete(item.key)} */}
              <Button type="danger" >
                删除
              </Button> 
               <Tree 
                allowClear
                treeDefaultExpandAll
                treeData={this.state.treeData}
                showLine={true}
                onExpand={this.onExpand}
                expandedKeys={this.state.expandedKeys}
                autoExpandParent={this.state.autoExpandParent}
                onCheck={this.onCheck}
                checkedKeys={this.state.checkedKeys}
                onSelect={this.onSelect}
                selectedKeys={this.state.selectedKeys}
              >
                {this.renderTreeNodes(treeData)}
              </Tree > 

            </FormItem>
          </Card>
        </Col>
        <Col xs={{ span: 10, offset: 10 }} lg={{ span: 10, offset: 4 }}>
          <Card>
          <TreedataFrom 
          ref={this.formRef} 
          />
          </Card>
        </Col>
      </Row>
     </Card> 
    );
  }
}

export default TreeDemo 